#
# spec file for package xdg-user-dirs
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xdg-user-dirs
Version:        0.15
Release:        7.2
Summary:        Utilities to handle user data directories
License:        GPL-2.0
Group:          System/GUI/Other
Url:            http://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:        http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz
BuildRequires:  make
BuildRequires:  suse-xsl-stylesheets
BuildRequires:  translation-update-upstream
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     %{name}-lang

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also
handles localization (i.e. translation) of the filenames.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure
make %{?jobs:-j %jobs}

%install
%makeinstall
# Change sr@Latn to sr@latin
mv %{buildroot}%{_datadir}/locale/sr@Latn %{buildroot}%{_datadir}/locale/sr@latin
%find_lang %{name} %{?no_lang_C}
# Create xinit script
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d
echo "#!/bin/sh" >> %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/xdg-user-dirs.sh
echo "/usr/bin/xdg-user-dirs-update" >> %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/xdg-user-dirs.sh
chmod a+x %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/xdg-user-dirs.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%{_mandir}/man1/*.1%{?ext_man}
%{_mandir}/man5/*.5%{?ext_man}
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%dir %{_sysconfdir}/X11/xinit
%dir %{_sysconfdir}/X11/xinit/xinitrc.d
%{_sysconfdir}/X11/xinit/xinitrc.d/xdg-user-dirs.sh
%{_bindir}/xdg-user-dir
%{_bindir}/xdg-user-dirs-update

%files lang -f %{name}.lang

%changelog
* Thu Aug  1 2013 zaitor@opensuse.org
- Update to version 0.15:
  + Added manpages.
  + Updated translations.
- Add suse-xsl-stylesheets BuildRequires in order to build the
  added manpages.
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Sat Jul 21 2012 dimstar@opensuse.org
- Split out -lang package (bnc#645077).
* Sun Jul 24 2011 andrea.turrini@gmail.com
- Fixed typo in description of xdg-user-dirs.spec
* Wed May  4 2011 vuntz@opensuse.org
- Update to version 0.14:
  + Fix permissions of ~/.config if created (should be 0700)
  + Updated translations
* Mon Feb 14 2011 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Tue Sep 14 2010 vuntz@opensuse.org
- Update to version 0.13:
  + Fix a memleak
  + Updated translations
* Fri Nov 13 2009 vuntz@opensuse.org
- Update to version 0.12:
  + Updated translations
- Changes from version 0.11:
  + Switch DOWNLOAD default to "Downloads" instead of "Download" to
    to match the other names
  + Fix bashisms in xdg-user-dirs
  + Updated translations
- Use spec-cleaner to clean the spec file.
- Drop sr-latin-rename.diff and instead rename the .mo file after
  the "make install" call.
- Do not package empty TODO file.
* Sun Feb  1 2009 dmueller@suse.de
- sr@Latn -> sr@latin
* Wed Feb 27 2008 stbinner@suse.de
- update to 0.10:
  * New translations
  * Update cut and paste code to handle oom and c++
* Mon Oct 22 2007 stbinner@suse.de
- update to 0.9: new translations, relocatable, fix possible crash
* Tue Jul 17 2007 stbinner@suse.de
- initial package of version 0.8
